#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m,d,u,l,r,x,br;
    vector<pair<int,int>> vage;
    cin>>n>>m;
    vage.resize(n);
    for(int i=0;i<n;i++){
        cin>>d>>u;
        vage[i]=make_pair(d,u);
    }
    /*for(auto i:vage){
        std::cout << i.first<<" "<<i.second << std::endl;
    }*/
    for(int i=0;i<m;i++){
        cin>>l>>r>>x;
        br=0;
        for(int j=l;l<=r;j++){
            if(x>=vage(j).first && x<=vage(j).second){
                br++;
            }
        }
        cout<<br<<endl;
    }
    return 0;
}